Bug 209026 - new ccrtp version needed
new ccrtp version needed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ccrtp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 210405
  Show dependency treegraph
 
Reported: 2006-10-02 21:03 EDT by Kevin Fenzi
Modified: 2008-02-26 16:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 19:46:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2006-10-02 21:03:30 EDT
Description of problem:
The latest version of the twinkle sip phone (which I maintain for extras) 
requires ccrtp 1.5.0. Could you update to that new version? 

checking for libccrtp1 >= 1.5.0... Requested 'libccrtp1 >= 1.5.0' but version 
of libccrtp1 is 1.4.1
Comment 1 Kevin Fenzi 2006-10-20 13:41:17 EDT
Hey Andreas. Were you seeing any problems with the 1.5.0 ccrtp?

With the following spec changes, it builds fine here in both i386/x86_64 with 
mock: 

--- ccrtp.spec  10 Sep 2006 21:20:05 -0000      1.4
+++ ccrtp.spec  20 Oct 2006 17:39:40 -0000
@@ -1,13 +1,13 @@
 Summary: Common C++ class framework for RTP/RTCP
 Name: ccrtp
-Version: 1.4.1
-Release: 2%{?dist}
+Version: 1.5.0
+Release: 1%{?dist}
 License: GPL
 Group: System Environment/Libraries
 Source0: http://download.sourceforge.net/gnutelephony/ccrtp-%{version}.tar.gz
 URL: http://www.gnu.org/software/commoncpp/
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-BuildRequires: commoncpp2-devel, doxygen
+BuildRequires: commoncpp2-devel, doxygen, libgcrypt-devel
 
 %description
 ccRTP is a generic, extensible and efficient C++ framework for
@@ -77,6 +77,9 @@
 %{_infodir}/ccrtp.info*
 
 %changelog
+* Fri Oct 20 2006 Kevin Fenzi <kevin@tummy.com> - 1.5.0-1
+- Update to 1.5.0
+
 * Sun Sep 10 2006 Andreas Thienemann <andreas@bawue.net> - 1.4.1-2
 - *bump*
Comment 2 Aurelien Bompard 2006-10-31 08:37:21 EST
While you're at it, please update commoncpp2 to 1.5.0 too, it is also required
to update Twinkle. A simple version bump works fine.
Comment 3 Kevin Fenzi 2006-11-09 16:59:36 EST
Ping Andreas. 

Any news on this? It's been more than a month since the bug was submitted. 
Comment 4 Andreas Thienemann 2006-11-09 17:05:40 EST
Sorry for the delay, I was close to completely offline last weeks.

I'm working on it tonight.
Comment 5 Andreas Thienemann 2006-11-09 19:46:36 EST
Done. Sorry for the wait.
Comment 6 Andreas Thienemann 2008-02-26 15:40:37 EST
Package Change Request
======================
Package Name: ccrtp
New Branches: EL-4 EL-5
Comment 7 Kevin Fenzi 2008-02-26 16:17:46 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.